# @saber2pr/rc-tree

> a tree-select renderer for react.

```bash
yarn add @saber2pr/rc-tree
```

# What

[example>>](https://saber2pr.github.io/rc-tree/example/index.html)

```tsx
import Tree, { TreeNode } from "@saber2pr/rc-tree";

const data: TreeNode = {
  path: "root",
  name: "root",
  children: [
    {
      path: "root/node",
      name: "node",
      children: [
        {
          path: "root/node/node.md",
          name: "node",
          text: "node\n"
        }
      ]
    }
  ]
};

const App = () => (
  <Tree root={data} render={node => <a href={node.path}>{node.name}</a>} />
);

ReactDOM.render(<App />, document.getElementById("root"));
```

# dev

```bash
yarn install

yarn run dev

yarn run build
```

# Author

saber2pr
